extractRollCallObject {pscl} | R Documentation

## return the roll call object used in fitting an ideal model

### Description

Given a fitted model of class `ideal`, return the `rollcall` object that was used in the model fitting (i.e., apply all subseting and recoding implied by the `dropList` passed to `ideal`).

### Usage

    extractRollCallObject(object)

### Arguments

`object` | an object of class `ideal`

### Details

This function is used by many post-estimation commands that operate on objects of class `ideal`. The function inspects the `call` attribute of the `ideal` object, extracting the name of the `rollcall` object and the `dropList`, then hands them over to `dropRollCall`.

### Value

An object of class `rollcall`

### Author(s)

Simon Jackman simon.jackman@sydney.edu.au

### See Also

`rollcall`; see `dropRollCall` for details on the form of a `dropList`.

### Examples

    data(s109)
    f = system.file("extdata","id1.rda",package="pscl")
    load(f)
    tmp <- extractRollCallObject(id1)
    summary(tmp)
    v <- convertCodes(tmp)         ## roll call matrix per se

[Package pscl version 1.5.2 Index]